import { Count, Filter, FilterExcludingWhere, Where } from '@loopback/repository';
import { PropertyTypeMaster } from '../models';
import { PropertyTypeMasterRepository } from '../repositories';
export declare class PropertytypemasterController {
    propertyTypeMasterRepository: PropertyTypeMasterRepository;
    constructor(propertyTypeMasterRepository: PropertyTypeMasterRepository);
    create(propertyTypeMaster: Omit<PropertyTypeMaster, 'propertyTypeId'>): Promise<PropertyTypeMaster>;
    count(where?: Where<PropertyTypeMaster>): Promise<Count>;
    find(filter?: Filter<PropertyTypeMaster>): Promise<PropertyTypeMaster[]>;
    updateAll(propertyTypeMaster: PropertyTypeMaster, where?: Where<PropertyTypeMaster>): Promise<Count>;
    findById(id: number, filter?: FilterExcludingWhere<PropertyTypeMaster>): Promise<PropertyTypeMaster>;
    updateById(id: number, propertyTypeMaster: PropertyTypeMaster): Promise<void>;
    replaceById(id: number, propertyTypeMaster: PropertyTypeMaster): Promise<void>;
    deleteById(id: number): Promise<void>;
}
